org.apache.cassandra.service

## Class DigestMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.service.DigestMismatchException

- All Implemented Interfaces:
    java.io.Serializable

      public class DigestMismatchException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestMismatchException(DecoratedKey key, java.nio.ByteBuffer digest1, java.nio.ByteBuffer digest2)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestMismatchException

          public DigestMismatchException(DecoratedKey key,
                                         java.nio.ByteBuffer digest1,
                                         java.nio.ByteBuffer digest2)

Copyright © 2018 The Apache Software Foundation